Accept a workspace invitation as the signed-in matching user
curl --request POST \
--url https://api.acornops.dev/api/v1/workspace-invitations/{token}/accept \
--cookie acornops_cp_session=const options = {method: 'POST', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/workspace-invitations/{token}/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"email": "jsmith@example.com",
"displayName": "<string>",
"roleTemplate": {
"key": "<string>",
"displayName": "<string>",
"kind": "system",
"capabilities": [
"<string>"
],
"capabilityGroups": [
{
"key": "workspace",
"capabilities": [
"<string>"
],
"sortOrder": 123
}
],
"protected": true,
"sortOrder": 123,
"description": "<string>"
},
"joinedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Workspaces and members
Accept a workspace invitation as the signed-in matching user
Accept a workspace invitation as the signed-in matching user
curl --request POST \
--url https://api.acornops.dev/api/v1/workspace-invitations/{token}/accept \
--cookie acornops_cp_session=const options = {method: 'POST', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/workspace-invitations/{token}/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"email": "jsmith@example.com",
"displayName": "<string>",
"roleTemplate": {
"key": "<string>",
"displayName": "<string>",
"kind": "system",
"capabilities": [
"<string>"
],
"capabilityGroups": [
{
"key": "workspace",
"capabilities": [
"<string>"
],
"sortOrder": 123
}
],
"protected": true,
"sortOrder": 123,
"description": "<string>"
},
"joinedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
Path Parameters
Example:
"wi_example"